Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class PropertyBinding

author:
  Danno Ferrin

version:
  $Revision: 8225 $

since:
  Groovy 1.1

Field Summary
`Object` | `bean`
`String` | `propertyName`

Constructor Summary
`PropertyBinding(Object bean, String propertyName)`

Method Summary
`FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
`Object` | `getSourceValue()`
`void` | `updateTargetValue(Object newValue)`

Constructor Detail

### PropertyBinding

    public PropertyBinding(Object bean, String propertyName)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding source, TargetBinding target)

### getSourceValue

    public Object getSourceValue()

### updateTargetValue

    public void updateTargetValue(Object newValue)